net.sf.statcvs.charts

## Class TimeBarChartMaker

- java.lang.Object
- - net.sf.statcvs.charts.TimeBarChartMaker

- Direct Known Subclasses:
    TimeBarChartMaker.HourBarChartMaker, TimeBarChartMaker.WeekdayBarChartMaker

      public abstract class TimeBarChartMaker
      extends java.lang.Object

  Produces bar charts where each bar represents a time slot, e.g. a weekday., and each revision from a given collection is sorted into the appropriate slot.
  Version:
    $Id: TimeBarChartMaker.java,v 1.7 2009/04/25 16:36:20 benoitx Exp $
  Author:
    jentzsch, Richard Cyganiak (richard@cyganiak.de)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TimeBarChartMaker.HourBarChartMaker`
    `static class` | `TimeBarChartMaker.WeekdayBarChartMaker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeBarChartMaker(java.lang.String chartName, ReportConfig config, java.util.SortedSet revisions, java.lang.String title, java.lang.String fileName, java.lang.String[] barLabels)` Creates a new BarChartMaker.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract int` | `barNumberForTime(java.util.Calendar time)`
    `ChartImage` | `toFile()` Creates a bar chart image file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeBarChartMaker

          public TimeBarChartMaker(java.lang.String chartName,
                           ReportConfig config,
                           java.util.SortedSet revisions,
                           java.lang.String title,
                           java.lang.String fileName,
                           java.lang.String[] barLabels)

      Creates a new BarChartMaker.
      Parameters:
        `config` - The configuration to use
        `revisions` - The revisions to analyze
        `title` - The chart's title
        `fileName` - The file name for the image file, including `.png` extension
        `barLabels` - The labels for each bar

  - ### Method Detail

    - #### toFile

          public ChartImage toFile()

      Creates a bar chart image file.
      Returns:
        An image file containing the chart

    - #### barNumberForTime

          protected abstract int barNumberForTime(java.util.Calendar time)